<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output
   method="html" version="4"
   indent="yes"
   encoding="iso-8859-15"
/>

<xsl:template match="rows">
 <html>
   <head>
	<style>
		@import "/home/domenico/src/dbtoy/styles/style.css";
	</style>
     <title>
	Data Viewer - Table <xsl:value-of select="@table"/>
     </title>
   </head>
   <body>
   	<h1>Data Viewer - Table <xsl:value-of select="@table"/></h1>
   	<table>
	<tr>
	<xsl:for-each select="row[1]/*">
		<th><xsl:value-of select="name()" /></th>
	</xsl:for-each>
	</tr>
	<xsl:for-each select="row">
		<xsl:if test="(position() mod 2)=0">
                <tr class="r_even">
     			<xsl:apply-templates/>
		</tr>
		</xsl:if>
          	<xsl:if test="(position() mod 2)!=0">
                <tr class="r_odd">
     			<xsl:apply-templates/>
		</tr>
          	</xsl:if>
	</xsl:for-each>
     	</table>
   </body>
 </html>
</xsl:template>

<xsl:template match="row/*">
	<td><xsl:value-of select="."/></td>
</xsl:template>

<xsl:template match="columns">
 <html>
   <head>
	<style>
		@import "/home/domenico/src/dbtoy/styles/style.css";
	</style>
     <title>
	Type Viewer - table <xsl:value-of select="@table"/>
     </title>
   </head>
   <body>
	<h1>Type Viewer - table <xsl:value-of select="@table"/></h1>
   		<table>
		<tr>
			<th>N.</th>
			<th>Sql Type</th>
			<th>PK</th>
			<th>name</th>
		</tr>
	<xsl:apply-templates/>
     	</table>
   </body>
 </html>
</xsl:template>

<xsl:template match="column">
                <tr><td>#<xsl:number /></td>
				<td><xsl:value-of select="@sqlType"/></td>
				<td><xsl:value-of select="@primaryKey"/></td>
	<xsl:apply-templates/>
		</tr>
</xsl:template>

<xsl:template match="column/*">
	<td><xsl:value-of select="."/></td>
</xsl:template>

</xsl:stylesheet>
